Bug 786020 - condor_configure_pool + required parameters
condor_configure_pool + required parameters
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
medium Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On: 802510
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-31 03:19 EST by Martin Kudlej
Modified: 2013-03-06 13:41 EST (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.0-2
Doc Type: Bug Fix
Doc Text:
C: Removing a feature from a configuration that shared a parameter that required user input with another feature using the remote configuration tools C: The shared parameter would be removed instead of being kept in the configuration F: Correct logic in the tools that detects if a parameter is needed by more than 1 feature R: Removing a feature from a configuration that shared a parameter that required user input with another feature using the remote configuration tools will not result in the parameter being removed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:41:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2012-01-31 03:19:45 EST
Description of problem:
I set these features: NodeAccess, ExecuteNode, CentralManager, Scheduler. This implicates that I should set up CONDOR_HOST.
Then I set up(CCP --default-group -a -f HACentralManager) HACentralManager and CCP wrote that I should set CONDOR_HOST again. <-- first part of this bug

I done that and I tested HACentralManager.

Then I would remove HACentralManager(CCP --default-group -e) and it wrote:
The configuration is not valid
Node: _host_
Unset necessary parameters:
  CONDOR_HOST
<-- second part of this bug

Version-Release number of selected component (if applicable):
condor-kbdd-7.6.5-0.12.el5
python-condorutils-1.5-4.el5
condor-low-latency-1.2-2.el5
python-condorec2e-1.3.0-1.el5
condor-classads-7.6.5-0.12.el5
condor-wallaby-client-4.1.2-1.el5
condor-ec2-enhanced-hooks-1.3.0-1.el5
condor-aviary-7.6.5-0.12.el5
condor-qmf-7.6.5-0.12.el5
condor-job-hooks-1.5-4.el5
condor-wallaby-tools-4.1.2-1.el5
condor-ec2-enhanced-1.3.0-1.el5
condor-wallaby-base-db-1.19-1.el5
condor-7.6.5-0.12.el5
condor-debuginfo-7.6.5-0.12.el5

How reproducible:
100%

Actual results:
1. It requires to set up parameter which is already there.
2. It requires to remove parameter which is required by another feature.

Expected results:
It will not work like in "Actual results".
Comment 1 Robert Rati 2012-03-26 14:47:29 EDT
The first part of this issue is not a bug, but the tools working as designed.  The condor_configure_pool tool will always prompt for values for required parameters on features being added, even if those parameters are already set on the group/node.  The user has the ability not to set these parameters if they know they are set and correct, but the tool will always prompt.

The 2nd part is a bug, and is fixed in the new tools.

pushed upstream on branch:
wallaby-shell-impl
Comment 2 Robert Rati 2012-04-02 10:28:14 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: Removing a feature from a configuration that shared a parameter that required user input with another feature using the remote configuration tools
C: The shared parameter would be removed instead of being kept in the configuration
F: Correct logic in the tools that detects if a parameter is needed by more than 1 feature
R: Removing a feature from a configuration that shared a parameter that required user input with another feature using the remote configuration tools will not result in the parameter being removed
Comment 5 Lubos Trilety 2012-12-19 12:18:47 EST
Successfully reproduced on condor-wallaby-tools-4.1.3-1

# ccp -n `hostname` -d -f HACentralManager

Apply these changes [Y/n] ? 
Configuration applied

Create a named snapshot of this configuration [y/N] ? 

Activate the changes [y/N] ? y
Activating configuration.  This may take a while, please be patient
The configuration is not valid
Node: host
Unset necessary parameters:
  CONDOR_HOST

Configuration not activated
Comment 6 Lubos Trilety 2012-12-19 13:09:33 EST
Tested with:
condor-wallaby-tools-5.0.4-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

CONDOR_HOST was not removed

# ccp -n `hostname` -d -f HACentralManager
Console Connection Established...

Apply these changes [Y/n] ? 
Create a named snapshot of this configuration [y/N] ? 
Activate the changes [y/N] ? y

# wallaby show-node `hostname`
Console Connection Established...
hostname
  name:  "hostname"
  provisioned:  false
  last_checkin:  1355916577018639
  last_updated_version:  1355916519840129
  memberships:  []
  annotation:  ""
  features:  ["ExecuteNode", "Master", "NodeAccess", "Scheduler", "CentralManager"]
  params:  {"SUSPEND"=>"False", "START"=>"True", "ALLOW_READ"=>"*", "CONDOR_HOST"=>"localhost", "ALLOW_WRITE"=>"*"}

>>> verified
Comment 7 Lubos Trilety 2012-12-19 13:11:25 EST
Moreover ccp asks for parameter value only if it is unique for the newly added feature. So for example it doesn't ask for CONDOR_HOST anymore if Master is already part of the node/group.
Comment 9 errata-xmlrpc 2013-03-06 13:41:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.